Bug 841243 - Review Request: gstreamer1-plugins-base - GStreamer streaming media framework base plugins
Review Request: gstreamer1-plugins-base - GStreamer streaming media framework...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
Depends On: 841241
Blocks: 841713 847755
  Show dependency treegraph
 
Reported: 2012-07-18 09:48 EDT by Brian Pepple
Modified: 2012-09-17 18:43 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-17 18:43:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
bnocera: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Brian Pepple 2012-07-18 09:48:09 EDT
Spec URL: http://bpepple.fedorapeople.org/rpms/gstreamer1-plugins-base.spec
SRPM URL: http://bpepple.fedorapeople.org/rpms/gstreamer1-plugins-base/gstreamer1-plugins-base-0.11.92-1.fc18.src.rpm
Description: GStreamer is a streaming media framework, based on graphs of filters which operate on media data. Applications using this library can do anything from real-time sound processing to playing videos, and just about anything else media-related.  Its plugin-based architecture means that new data types or processing capabilities can be added simply by installing new plug-ins.

This package contains a set of well-maintained base plug-ins.

Fedora Account System Username:bpepple

i686 build: http://bpepple.fedorapeople.org/rpms/gstreamer1-plugins-base/
Comment 2 Bastien Nocera 2012-08-15 07:10:19 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail

==== C/C++ ====
[x]: MUST Header files in -devel subpackage, if present.
[x]: MUST Package does not contain any libtool archives (.la)
[x]: MUST Package does not contain kernel modules.
[x]: MUST Rpath absent or only used for internal libs.
[x]: MUST Development (unversioned) .so files in -devel subpackage, if present.

==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot}
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
[-]: MUST Macros in Summary, %description expandable at SRPM build time.
[-]: MUST Package contains desktop file if it is a GUI application.
[x]: MUST Development files must be in a -devel package
[-]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Fully versioned dependency in subpackages, if present.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST License file installed when any subpackage combination is installed.
[x]: MUST The spec file handles locales properly.
[x]: MUST Package consistently uses macro.
[x]: MUST Package is named using only allowed ascii characters.
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Package is not relocatable.
[x]: MUST Requires correct, justified where necessary.
[!]: MUST Rpmlint is run on all rpms the build produces.

A few errors:
IGNORE gstreamer1-plugins-base.x86_64: W: spelling-error Summary(en_US) GStreamer -> G Streamer, Streamer, Steamer
IGNORE gstreamer1-plugins-base.x86_64: W: spelling-error %description -l en_US GStreamer -> G Streamer, Streamer, Steamer
gstreamer1-plugins-base.x86_64: W: shared-lib-calls-exit /usr/lib64/libgstfft-1.0.so.0.0.0 exit@GLIBC_2.2.5
Filed as https://bugzilla.gnome.org/show_bug.cgi?id=681904
gstreamer1-plugins-base.x86_64: E: incorrect-fsf-address /usr/share/doc/gstreamer1-plugins-base-0.11.92/COPYING
Please file a bug
IGNORE gstreamer1-plugins-base.src: W: spelling-error Summary(en_US) GStreamer -> G Streamer, Streamer, Steamer
IGNORE gstreamer1-plugins-base.src: W: spelling-error %description -l en_US GStreamer -> G Streamer, Streamer, Steamer
gstreamer1-plugins-base-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gst-plugins-base-0.11.92/gst-libs/gst/pbutils/missing-plugins.c
Please file a bug
IGNORE gstreamer1-plugins-base-devel.x86_64: W: spelling-error Summary(en_US) GStreamer -> G Streamer, Streamer, Steamer
IGNORE gstreamer1-plugins-base-devel.x86_64: W: no-documentation
IGNORE gstreamer1-plugins-base-tools.x86_64: W: spelling-error %description -l en_US GStreamer -> G Streamer, Streamer, Steamer
IGNORE gstreamer1-plugins-base-tools.x86_64: W: spelling-error %description -l en_US gst -> gs, gt, st
IGNORE gstreamer1-plugins-base-tools.x86_64: W: no-documentation
gstreamer1-plugins-base-tools.x86_64: W: no-manual-page-for-binary gst-discoverer-1.0
Filed as https://bugzilla.gnome.org/show_bug.cgi?id=681905

[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: MUST File names are valid UTF-8.
[x]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD The placement of pkgconfig(.pc) files are correct.
[x]: SHOULD Scriptlets must be sane, if used.
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Spec use %global instead of %define.


Looks good, APPROVED.

Can you file a bug for the gst-visualise* removal as well? If it's useless for us, it's probably useless upstream. If it's not, we should ship it.
Comment 3 Brian Pepple 2012-08-15 09:50:07 EDT
New Package SCM Request
=======================
Package Name: gstreamer1-plugins-base
Short Description: GStreamer streaming media framework base plugins
Owners: foo bar
Branches: f18
InitialCC:
Comment 4 Gwyn Ciesla 2012-08-15 11:23:01 EDT
Invalid fas account names.
Comment 5 Brian Pepple 2012-08-15 11:24:08 EDT
(In reply to comment #4)
> Invalid fas account names.

New Package SCM Request
=======================
Package Name: gstreamer1-plugins-base
Short Description: GStreamer streaming media framework base plugins
Owners: bpepple
Branches: f18
InitialCC:
Comment 6 Gwyn Ciesla 2012-08-15 11:25:56 EDT
Git done (by process-git-requests).
Comment 7 Brian Pepple 2012-08-15 13:23:36 EDT
Package built for rawhide, and submitted to bodhi for F18
Comment 8 Fedora Update System 2012-08-15 13:24:11 EDT
gstreamer1-0.11.93-1.fc18, gstreamer1-plugins-base-0.11.93-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/FEDORA-2012-11899/gstreamer1-plugins-base-0.11.93-1.fc18,gstreamer1-0.11.93-1.fc18
Comment 9 Fedora Update System 2012-08-15 19:33:13 EDT
Package gstreamer1-0.11.93-1.fc18, gstreamer1-plugins-base-0.11.93-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gstreamer1-0.11.93-1.fc18 gstreamer1-plugins-base-0.11.93-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-11899/gstreamer1-plugins-base-0.11.93-1.fc18,gstreamer1-0.11.93-1.fc18
then log in and leave karma (feedback).
Comment 10 Fedora Update System 2012-08-16 17:26:51 EDT
Package gstreamer1-0.11.93-1.fc18, gstreamer1-plugins-base-0.11.93-1.fc18, gstreamer1-plugins-good-0.11.93-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gstreamer1-0.11.93-1.fc18 gstreamer1-plugins-base-0.11.93-1.fc18 gstreamer1-plugins-good-0.11.93-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-11899/gstreamer1-plugins-good-0.11.93-1.fc18,gstreamer1-plugins-base-0.11.93-1.fc18,gstreamer1-0.11.93-1.fc18
then log in and leave karma (feedback).
Comment 11 Fedora Update System 2012-08-20 15:49:26 EDT
Package gstreamer1-0.11.93-1.fc18, gstreamer1-plugins-bad-free-0.11.93-2.fc18, gstreamer1-plugins-base-0.11.93-1.fc18, gstreamer1-plugins-good-0.11.93-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gstreamer1-0.11.93-1.fc18 gstreamer1-plugins-bad-free-0.11.93-2.fc18 gstreamer1-plugins-base-0.11.93-1.fc18 gstreamer1-plugins-good-0.11.93-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-11899/gstreamer1-plugins-bad-free-0.11.93-2.fc18,gstreamer1-plugins-good-0.11.93-1.fc18,gstreamer1-plugins-base-0.11.93-1.fc18,gstreamer1-0.11.93-1.fc18
then log in and leave karma (feedback).
Comment 12 Fedora Update System 2012-09-17 18:43:38 EDT
gstreamer1-0.11.93-1.fc18, gstreamer1-plugins-bad-free-0.11.93-2.fc18, gstreamer1-plugins-base-0.11.93-1.fc18, gstreamer1-plugins-good-0.11.93-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.